
#define COMM32DLL_API __declspec(dllexport)

//#ifdef __CPP
extern "C" {
//#endif

// This methods is exported from the comm32.dll
COMM32DLL_API int WINAPI InitComm(int nPortNum, int nPortSpeed); 
COMM32DLL_API int WINAPI CloseComm(); 
COMM32DLL_API int WINAPI CancelComm(); 
COMM32DLL_API int WINAPI DialUp(const char* lpstrPhoneNumber); 
COMM32DLL_API int WINAPI InitEcr(int nEcrNum, int nEcrType); 
COMM32DLL_API int WINAPI InitEcrEx(int nEcrNum, int nEcrType, int nCountry); 
COMM32DLL_API int WINAPI SendData(int nCommandNum, int nFirstItem, int nItemNum, unsigned char* lpabyBinData, char* lpacTax); 
COMM32DLL_API int WINAPI RecvData(int nCommandNum, int nFirstItem, int nItemNum, unsigned char* lpabyBinData); 
COMM32DLL_API int WINAPI GetStatus(unsigned int* lpuiPercentage); 
COMM32DLL_API int WINAPI GetLastAckResult(); 
COMM32DLL_API int WINAPI AutoDetect(int nEcrNum, int* lpPortNum, int* lpPortSpeed, int* lpEcrType); 
COMM32DLL_API int WINAPI AutoDetectEx(int nEcrNum, int* lpPortNum, int* lpPortSpeed, int* lpEcrType, int nCountry, int nOptions); 
COMM32DLL_API int WINAPI InitConvert(int nDecPosNumDisp, int nDecPosNumRound, char* lpstrCodeTable, char* lpstrItemSeparator, char* lpstrLineSeparator); 
COMM32DLL_API int WINAPI SetCodeTable(const char* lpstrCodeTable); 
COMM32DLL_API int WINAPI ConvertBinToString(int nCommandNum, int nFirstItem, int nItemNum, unsigned char* lpabyBinData, char* lpstrTxtData); 
COMM32DLL_API int WINAPI ConvertStringToBin(int nCommandNum, int nFirstItem, int nItemNum, unsigned char* lpabyBinData, char* lpstrTxtData); 
COMM32DLL_API int WINAPI GetRecordLength(int nCommandNum, int nFirstItem, int nItemNum);
COMM32DLL_API int WINAPI SetCommParam(const char* lpstrConfigString);
COMM32DLL_API int WINAPI GetItemsCount(int nCommandNum);
COMM32DLL_API int WINAPI GetECR_Info(const char *pcVariable, char *pcValue, BYTE *byMaxLength);
COMM32DLL_API int WINAPI ReceiveEcrOnline(HWND f_hWnd, DWORD f_dwMsgNum, DWORD f_dwTypes);
//#ifdef __CPP
}
//#endif
